package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 活动类型 EVALUATION 评测活动
 *
 * @Author: liweifan
 * @Data: 2022/4/7 15:48
 */
public enum ActivityTypeEnum implements BaseEnum<String, ActivityTypeEnum> {

    EVALUATION("评测活动"),
    STANDARD_GIFT("达标赠送"),
    SHARE("活动分享"),
    ;

    @EnumValue
    private String code;
    private String msg;

    ActivityTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
